# httplz-docker

Alpine based Docker image containing the [httplz](https://github.com/thecoshman/http) Rust binary.

[This git repository is available on Codeberg](https://codeberg.org/privacy1st/httplz-docker).

## Build

See [Dockerfile](Dockerfile).

## Example: Starting a WebDAV server

The [compose.yml](compose.yml) file contains an example how to use the `httplz` binary as WebDAV server:

```shell
sudo docker compose up -d
```

`sudo docker stats` reports that it has a memory footprint of 14 MB (while idle).

## License

MIT, see [LICENSE](LICENSE).
